/********************************************************************************/
/*	Basecode for 1541-Emul (floppy drive emulator)								*/
/*	Board: STM32F407 Discovery													*/
/*	COPYRIGHT (C) 2012		Ing. Thomas Winkler	<t.winkler@aon.at>				*/
/*  Built with CooCox CoIDE v1.5.0  											*/
/********************************************************************************/
/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License only.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   sdcard.h: access to SD / SD
*/

#ifndef SDCARD_H_
#define SDCARD_H_



#include "fswrapper.h"


int SDcardInit(void);
int SDcardReadFile(char *fnam, void *buf, size_t len);

int SearchImageFile(char *buf, int buflen);

int	FatOpenDir(char *buf);
int	FatReadDir(uint8_t *buf, int size, uint16_t *);


#endif
