/**********************************************************************************/
/*    Sample code for Discovery 32F4 board										  */
/*	  Board: STM32F407 Discovery				             					  */
/*    Manufacture: ST		                                                   	  */
/*	  COPYRIGHT (C) 2012														  */
/*    Designed by: Ing. Thomas Winkler			                                  */
/*    Built with CooCox CoIDE v1.5.0  					                          */
/**********************************************************************************/

#include "Discovery.h"
#include "blink.h"
#include "uart.h"
#include "stimer.h"
#include "SD_test.h"





int main(void)
{
	int i;

	InitDiscovery();
	InitStimer();
	uart_init();


	printf("\n");
	printf("### Discovery 32F4 Demo ###\n\n");
	//i =
	//printf(" %d Bytes free\n\r", i);

#if F_DIAG
	PrintDiagdata();
	if(SDcardInit() == 0)
	{
		PrintDir();
	}
#endif


	while(1)
    {
		for(i=0; i<3; ++i)
			BlinkExpLoop1();

		BlinkExpLoop2();

		for(i=0; i<3; ++i)
			BlinkExpLoop3();
    }
}

